# Interface methods for submodule: NumericTraits
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: NumericTraits
class NumericTraitsProxy():
	@staticmethod
	@overload
	def min():
		""""""
		...

	@staticmethod
	@overload
	def min(arg0):
		""""""
		...

	@staticmethod
	@overload
	def min(arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def min() -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def min(arg0: Sequence[int]) -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def min() -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def min(arg0: Tuple[int, int, int, int]) -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def min() -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def min(arg0: Tuple[int, int, int]) -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def min() -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def min(a):
		""""""
		...

	@staticmethod
	@overload
	def min() -> bool:
		""""""
		...

	@staticmethod
	@overload
	def min(arg0: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def min(arg0: float) -> float:
		""""""
		...

	@staticmethod
	@overload
	def min() -> float:
		""""""
		...

	@staticmethod
	@overload
	def min() -> int:
		""""""
		...

	@staticmethod
	@overload
	def min(arg0: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def max():
		""""""
		...

	@staticmethod
	@overload
	def max(arg0):
		""""""
		...

	@staticmethod
	@overload
	def max(arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def max() -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def max(arg0: Sequence[int]) -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def max() -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def max(arg0: Tuple[int, int, int, int]) -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def max() -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def max(arg0: Tuple[int, int, int]) -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def max() -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def max(a):
		""""""
		...

	@staticmethod
	@overload
	def max() -> bool:
		""""""
		...

	@staticmethod
	@overload
	def max(arg0: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def max(arg0: float) -> float:
		""""""
		...

	@staticmethod
	@overload
	def max() -> float:
		""""""
		...

	@staticmethod
	@overload
	def max() -> int:
		""""""
		...

	@staticmethod
	@overload
	def max(arg0: int) -> int:
		""""""
		...

	@staticmethod
	def epsilon() -> float:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin():
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0):
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin() -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin() -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0: Sequence[int]) -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin() -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0: Tuple[int, int, int, int]) -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin() -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0: Tuple[int, int, int]) -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(a):
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin() -> bool:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin() -> float:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0: float) -> float:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin() -> int:
		""""""
		...

	@staticmethod
	@overload
	def NonpositiveMin(arg0: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(val) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(val: Tuple[int, int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(val: Tuple[int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(a: Sequence[float]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(a) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(a: Sequence[int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(val: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(val: float) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsPositive(val: int) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(val) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(val: Tuple[int, int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(val: Tuple[int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(a: Sequence[float]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(a) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(a: Sequence[int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(val: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(val: float) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonpositive(val: int) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(val) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(val: Tuple[int, int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(val: Tuple[int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(a: Sequence[float]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(a) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(a: Sequence[int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(val: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(val: float) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(val: int) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNegative(arg0: int) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(val) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(val: Tuple[int, int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(val: Tuple[int, int, int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(a: Sequence[float]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(a) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(a: Sequence[int]) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(val: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(val: float) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(val: int) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def IsNonnegative(arg0: int) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue():
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0):
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue() -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue() -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0: Sequence[int]) -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue() -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0: Tuple[int, int, int, int]) -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue() -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0: Tuple[int, int, int]) -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(a):
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue() -> bool:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue() -> float:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0: float) -> float:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue() -> int:
		""""""
		...

	@staticmethod
	@overload
	def ZeroValue(arg0: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def OneValue():
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0):
		""""""
		...

	@staticmethod
	@overload
	def OneValue() -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue() -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0: Sequence[int]) -> Sequence[int]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue() -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0: Tuple[int, int, int, int]) -> Tuple[int, int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue() -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0: Tuple[int, int, int]) -> Tuple[int, int, int]:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(a):
		""""""
		...

	@staticmethod
	@overload
	def OneValue() -> bool:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0: bool) -> bool:
		""""""
		...

	@staticmethod
	@overload
	def OneValue() -> float:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0: float) -> float:
		""""""
		...

	@staticmethod
	@overload
	def OneValue() -> int:
		""""""
		...

	@staticmethod
	@overload
	def OneValue(arg0: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength() -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0: Sequence[float]) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0: Sequence[int]) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0: Tuple[int, int, int, int]) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0: Tuple[int, int, int]) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(m) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0: bool) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0: float) -> int:
		""""""
		...

	@staticmethod
	@overload
	def GetLength(arg0: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m, s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m: Sequence[float], s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m: Sequence[int], s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m: Tuple[int, int, int, int], s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m: Tuple[int, int, int], s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m: bool, s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m: float, s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetLength(m: int, s: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def AssignToArray(v: Sequence[float], mv: Sequence[float]) -> None:
		""""""
		...

	@staticmethod
	@overload
	def AssignToArray(v: Sequence[int], mv: Sequence[int]) -> None:
		""""""
		...

	@staticmethod
	@overload
	def AssignToArray(v: Tuple[int, int, int, int], mv: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@staticmethod
	@overload
	def AssignToArray(v: Tuple[int, int, int], mv: Tuple[int, int, int]) -> None:
		""""""
		...

	@staticmethod
	@overload
	def AssignToArray(v, mv) -> None:
		""""""
		...

